<?php
/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

/*
 * Look for the style names in the jqwidgets/styles directory.
 */
$my_style = 'ui-redmond';



/* The maintenance popup window */
function maintenance_panel()
{
    global $my_style;

    $outstr  = PHP_EOL;
    $outstr .= '   <div id="maintenance_window">'.PHP_EOL;
    $outstr .= '    <script type="text/javascript" src="js/maintenance_panel.js"></script>'.PHP_EOL;
    $outstr .= '    <div id="maintenance_header">'.PHP_EOL;
    $outstr .= '     Maintenance panel'.PHP_EOL;
    $outstr .= '    </div>'.PHP_EOL;
    $outstr .= '    <div id="maintenance_content">'.PHP_EOL;
    $outstr .= '     <div id="jqxTabs_maint">'.PHP_EOL;
    $outstr .= '      <ul>'.PHP_EOL;
    $outstr .= '       <li style="margin-left: 20px;">General</li>'.PHP_EOL;
    $outstr .= '       <li style="margin-left: 20px;">1-Wire Bus</li>'.PHP_EOL;
    $outstr .= '       <li style="margin-left: 20px;">Profiles</li>'.PHP_EOL;
    $outstr .= '       <li style="margin-left: 20px;">Units</li>'.PHP_EOL;
    $outstr .= '      </ul>'.PHP_EOL;
    $outstr .= '      <div>'.PHP_EOL;
    $outstr .= '       General'.PHP_EOL;
    $outstr .= '      </div>'.PHP_EOL;
    $outstr .= '      <div>'.PHP_EOL;
    $outstr .= '       <div id="jqxgrid_bus" style="margin-left: 8px; margin-top: 6px;"></div>'.PHP_EOL;
    $outstr .= '      </div>'.PHP_EOL;
    $outstr .= '      <div>'.PHP_EOL;
    $outstr .= '       <div id="jqxgrid_profiles" style="margin-left: 8px; margin-top: 6px;"></div>'.PHP_EOL;
    $outstr .= '      </div>'.PHP_EOL;
    $outstr .= '      <div>'.PHP_EOL;
    $outstr .= '       <div id="jqxgrid_units" style="margin-left: 8px; margin-top: 6px;"></div>'.PHP_EOL;
    $outstr .= '      </div>'.PHP_EOL;
    $outstr .= '     </div>'.PHP_EOL;
    $outstr .= '     <input type="button" id="maintenance_ok" value="Dismiss" style="margin-top: 5px; margin-left: 365px" />'.PHP_EOL;
    $outstr .= '    </div>'.PHP_EOL;
    $outstr .= '    <script type="text/javascript">'.PHP_EOL;
    $outstr .= '     $(document).ready(function () {'.PHP_EOL;
    $outstr .= '       $("#jqxTabs_maint").jqxTabs({ width: 790, height: 330, position: \'top\', theme: \''.$my_style.'\'});'.PHP_EOL;
    $outstr .= '     });'.PHP_EOL;
    $outstr .= '    </script>'.PHP_EOL;
    $outstr .= '   </div> <!-- maintenance_window -->'.PHP_EOL;

    return $outstr;
}

